"""
test_DROP_AD.py — Stress Test: rimozione delle Marca A e D dal catalogo

Come funziona:
  1. import_dataset()                           : carica il catalogo completo
  2. Crea un'istanza di "MarcaDropStressTest" con parametro "marca_drop=['A','D']" da droppare
  3. Chiama il metodo sim_MarcaDropStressTest() : per le probabilità aggiorante
  4. Salva CSV con prodotti rimasti, probabilità medie, probabilità per segmento
[Si può aggiungere il plot come in altri test, vedere ad esempio test_DROP_A.py]

Output:
  - prodotti_noAD.csv       : DataFrame prodotti dopo il drop
  - prob_prodotti_noAD.csv  : vettore probabilità medie
  - prob_segmenti_noAD.csv  : matrice probabilità per segmento
"""
import sys
import os
cartella_progetto = os.path.abspath(os.path.join(os.path.dirname(__file__), '..'))
if cartella_progetto not in sys.path:
    sys.path.append(cartella_progetto)
from models import *
from plot_segment_test import *
from prepare_data import import_dataset

prodotti_tab=import_dataset() 

test_noAD = MarcaDropStressTest(prodotti_tab, marca_drop=['A','D'])
res_noAD = test_noAD.sim_MarcaDropStressTest(MNLChoiceModel, LatentChoiceModel)

# Esportazione caratteristiche prodotti rimasti
res_noAD[0].to_csv(r"test_res\prodotti_noAD.csv", index=False)
# Esportazione probabilità prodotti
res_noAD[1].to_csv(r"test_res\prob_prodotti_noAD.csv", header=False, index=False)
# Esportazione probabilità segmenti
res_noAD[2].to_csv(r"test_res\prob_segmenti_noAD.csv", header=False, index=False)

print("File CSV generati con successo per l'analisi dei grafici.")